Subject: Re: Available for test: gcc-3.1.1-3, gcc2-2.95.3-9, gcc-mingw-3_1-20020516-2
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Wed, 17 Jul 2002 17:14:46 +0900
Newsgroups: gmane.os.cygwin

Hello all

There hasn't been any response so I presume noone else is getting this
problem.  I have whittled down the options that seem to cause it the most:

It is very strange but it occurs after compiling large-ish programs with
gcc's new sparkly -march=pentium2 (or 3) option enabled.  Are there any ABI
changes causing problems between older dlls maybe?

Depending on the..erm.. weather?, it will also crash immediately upon
execution, not even bothering to write out a
stackdump file.  This situation changes if I re-arrange sections of the
code, or link in a different order.

It *doesn't* crash when running from a command.com style bash shell prompt.

System is very latest cygwin, win2k, Athlon MP dual processor, and
everything else bog-standard.

Regards

---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com

"Dylan Cuthbert" <[email-masked]> wrote in message
news:[email-masked]...
> Hello there,
>
> I've taken this version and compiled the same source code I was compiling
> the 3.1.1-2 version with, and all text output to the rxvt shell seems to
> have vanished.  Text to a standard cygwin shell is still ok.
>
> This text output was there with the prior version of the compiler - any
idea
> what could cause this?
>
> Regards
>
> ---------------------------------
> Q-Games, Dylan Cuthbert.
> http://www.q-games.com
>
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/